ADN Open CIS
Сообщество программистов Autodesk в СНГ

23/09/2020

Получаем список связанных файлов с помощью Design Automation API для Inventor-а

В статье рассматривается способ получения всех связанных файлов сборки Inventor-а, необходимых, например, для передачи в сервис Forge Model Derivative, при помощи сервиса Design Automation.
Опубликовано 23.09.2020     Читать далее >>>
16/09/2020

Forge Viewer: инструмент Snapper

Мы уже описывали ранее работу с пользовательскими инструментами (tools) в Forge Viewer ранее. В этой статье мы разберем как использовать существующий инструмент привязки (snapper) в Вашем расширении для Viewer-а
Опубликовано 16.09.2020     Читать далее >>>
14/09/2020

Установка «Показать область печати» с помощью API

Когда вы создаёте новый лист новые Параметры Листа называются *ЛистN*

На листе вы видите область печати, которая отмечена штриховым прямоугольником:

Опубликовано 14.09.2020     Читать далее >>>
30/08/2020

Как скрыть командную строку без запроса к пользователю?Автор: Александр Ривилис

Как скрыть командную строку без запроса к пользователю?

Вопрос: Я использую для скрытия командной строки метод Autodesk.AutoCAD.Internal.Utils.CloseCommandLine(); При этом возникает запрос:

Можно ли как-то избавится от этого запроса, как будто в этом окне мы ответили Да?

Ответ: Это возможно при использовании HideableDialogSettings:

Опубликовано 30.08.2020     Читать далее >>>
30/08/2020

Как изменить цвет ПСЕВДОРАЗРЕЗА (LIVESECTION)?Автор: Александр Ривилис

Как изменить цвет ПСЕВДОРАЗРЕЗА (LIVESECTION)? Вопрос: Как изменить цвет ПСЕВДОРАЗРЕЗа (LIVESECTION)? Можно ли это сделать при помощи API? Ответ: Средствами AutoCAD .NET API это возможно. Для этой цели необходимо задать цвет при помощи SectionSettings:
Опубликовано 30.08.2020     Читать далее >>>
31/07/2020

Forge Viewer: Markup-ы PDF документов

В статье описывается решение проблемы с координатами Markup-ов при использовании разных методов отображения PDF в ForgeViewer, поскольку PDF документ может быть отображен в растровом или векторном формате.
Опубликовано 31.07.2020     Читать далее >>>
31/07/2020

Forge Viewer: получаем dbId по externalId

В статье описывается новый способ, доступный в v7
Опубликовано 31.07.2020     Читать далее >>>
31/07/2020

RealDWG: Получение информации о цвете граней твердых тел

Используя RealDWG SDK следующий код позволяет получить цвета граней твердых тел в чертеже AutoCAD.

Для извлечения цветов из компонентов твердого тела используется BREP API, поэтому необходимо сослаться на сборку AcDbMgdBrep.dll из RealDWG SDK.

Опубликовано 31.07.2020     Читать далее >>>
26/06/2020

Перечень типов файлов, поддерживаемых Design Automation для Inventor

Получаем перечень доступных для экспорта возможных форматов файлов, поддерживаемых Design Automation для Inventor
Опубликовано 26.06.2020     Читать далее >>>
26/06/2020

Design Automation для Civil 3D стал доступен в public beta!

В семействе сервисов Design Automation пополнение! К AutoCAD, Revit, Inventor и 3ds Max добавилась beta-версия Civil 3D!
Опубликовано 26.06.2020     Читать далее >>>
19/06/2020

Разделение составных твердых тел на отдельные тела

Мы можем воспользоваться методом Solid3d.SeparateBody

Этот метод разделяет твердое тело на коллекцию непересекающихся твердых тел.
Вызывающее этот метод приложение должно что-то сделать с твердыми телами полученной коллекции (или добавить их в базу данных или удалить, если они больше не нужны). Когда вызывающее приложение закрывает твердое тело, результирующее твердое тело фиксируется в базе данных.
Таким образом если не добавить твердые тела из коллекции в базу данных, мы потеряем какую-то информацию.

Опубликовано 19.06.2020     Читать далее >>>
18/06/2020

Переопределение клавиши вызова Помощи при помощи CUI API

Существует общая потребность изменить назначение клавиши вызова Помощи с F1 на какую-нибудь другую клавишу (или сочетание клавиш), так как на клавиатуре F1 и ESC находятся рядом, а клавиша ESC используется для отмены запущенной команды или отмены выбранных объектов. Поскольку клавиша F1 соседствует с ESC - шансы нажатия этой клавиши случайно довольно высоки. F1 приводит к появлению окно справки, что в указанных случаях является контрпродуктивным.

Чтобы избежать этого, мы можем присвоить F1 команде Отмена, а CTRL + ALT + H для справки.

Опубликовано 18.06.2020     Читать далее >>>
01/06/2020

Фильтр для выбора примитивов на разных слоях

Эта статья показывает простой способ для создания фильтра, который позволит выбрать примитив типа A на слое L и типа B на нескольких слоях L1, L2, L3…. И так далее.

Опубликовано 01.06.2020     Читать далее >>>
31/05/2020

Определение геометрического центра LWPOLYLINE, 2DPoly и 3DPoly

К сожалению, нет прямого API для получения геометрического центра для трех видов полилиний. Кто-то может использовать топологические библиотеки, а кто-то предпочтет простейший из возможный способов – конвертирование AcDbPolyline, AcDb2Polyline, AcDb3dPolyline в область (AcDbRegion) без добавления его в чертеж, чтобы получить геометрический центр.

Опубликовано 31.05.2020     Читать далее >>>